Ada Reference Manual (Ada 2022) — Legal Information

# J.15.3 Pragma Pack

#### Syntax

1/3
The form of a pragma Pack, which is a representation pragma (see 13.1), is as follows:
2/3
pragma Pack (first_subtype_local_name);

#### Legality Rules

3/3
The first_subtype_local_name of a pragma Pack shall denote a composite subtype.

#### Static Semantics

4/3
Pragma Pack specifies that the Pack aspect (see 13.2) for the type denoted by first_subtype_local_name has the value True.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe